0

I never installed a patch before. I tried to install SUPEE-10975 from here. But it does fail with the following message:

$ ./PATCH_SUPEE-10975_CE_v1.9.3.3_v1-2018-11-27-09-17-33.sh
Checking if patch can be applied/reverted successfully...
ERROR: Patch can't be applied/reverted successfully.

checking file app/code/core/Mage/Adminhtml/Block/Customer/Group/Edit.php
checking file app/code/core/Mage/Adminhtml/Block/Newsletter/Template/Edit.php
checking file app/code/core/Mage/Adminhtml/controllers/Cms/BlockController.php
checking file app/code/core/Mage/Adminhtml/controllers/Customer/GroupController.php
checking file app/code/core/Mage/Adminhtml/controllers/SitemapController.php
checking file app/code/core/Mage/Adminhtml/controllers/System/BackupController.php
Hunk #1 succeeded at 358 (offset -11 lines).
checking file app/code/core/Mage/Captcha/Model/Observer.php
checking file app/code/core/Mage/Captcha/Model/Zend.php
checking file app/code/core/Mage/Captcha/etc/config.xml
checking file app/code/core/Mage/Catalog/Model/Api2/Product/Image/Rest/Admin/V1.php
checking file app/code/core/Mage/Catalog/Model/Product/Attribute/Media/Api.php
checking file app/code/core/Mage/Cms/Model/Wysiwyg/Images/Storage.php
Hunk #2 succeeded at 380 (offset -8 lines).
checking file app/code/core/Mage/Core/etc/config.xml
Hunk #1 FAILED at 28.
1 out of 3 hunks FAILED
checking file app/code/core/Mage/Core/sql/core_setup/upgrade-1.6.0.6.1.2-1.6.0.6.1.3.php
checking file app/code/core/Mage/Dataflow/Model/Convert/Container/Abstract.php
Hunk #1 FAILED at 55.
Hunk #2 FAILED at 140.
2 out of 2 hunks FAILED
checking file app/code/core/Mage/ImportExport/Model/Import/Entity/Customer.php
checking file app/code/core/Mage/ImportExport/Model/Import/Entity/Customer/Address.php
checking file app/code/core/Mage/Payment/etc/config.xml
checking file app/code/core/Mage/Payment/etc/system.xml
checking file app/code/core/Mage/Payment/sql/payment_setup/upgrade-1.6.0.0.1.1-1.6.0.0.1.2.php
checking file app/code/core/Mage/Sendfriend/Block/Send.php
checking file app/code/core/Mage/Wishlist/controllers/IndexController.php
checking file app/code/core/Zend/Controller/Request/Http.php
checking file app/design/adminhtml/default/default/template/cms/browser/content/files.phtml
checking file app/design/frontend/base/default/layout/captcha.xml
checking file app/design/frontend/base/default/template/wishlist/sharing.phtml
checking file app/design/frontend/rwd/default/layout/page.xml
Hunk #1 FAILED at 36.
1 out of 1 hunk FAILED
checking file app/design/frontend/rwd/default/template/sendfriend/send.phtml
checking file app/etc/modules/Mage_All.xml
checking file app/etc/modules/Mage_Captcha.xml
checking file app/locale/en_US/Mage_Wishlist.csv
The next patch would delete the file js/lib/jquery/jquery-1.12.0.js,
which does not exist!  Assume -R? [n]
Apply anyway? [n]
Skipping patch.
1 out of 1 hunk ignored
The next patch would delete the file js/lib/jquery/jquery-1.12.0.min.js,
which does not exist!  Assume -R? [n]
Apply anyway? [n]
Skipping patch.
1 out of 1 hunk ignored
The next patch would delete the file js/lib/jquery/jquery-1.12.0.min.map,
which does not exist!  Assume -R? [n]
Apply anyway? [n]
Skipping patch.
1 out of 1 hunk ignored
checking file js/lib/jquery/jquery-1.12.1.js
checking file js/lib/jquery/jquery-1.12.1.min.js
checking file js/lib/jquery/jquery-1.12.1.min.map

What can I do to resolve this?

1

It looks like you missed to install some earlier patches. Check your /app/etc/applied.patches.list file and check that all the patches for your version are installed. You find all the patches on the same site where you have downloaded supee-10975.

Maybe you fix your problem if you install the missing patches in the right order.

  • No, I tried to install them in the row, but SUPEE-9767v2 fails too like in my question. – Black Feb 12 at 18:16
  • what are the erros from SUPEE-9767v2? Maybe this question helps you, there is also an answer of manually patched SUPEE-9767v2 magento.stackexchange.com/questions/251317/… – HelgeB Feb 12 at 18:24

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.